%bcond_with test

%global modname six
%global python_wheelname %{modname}-%{version}-py2.py3-none-any.whl

Name:           python-six
Version:        1.16.0
Release:        2
Summary:        It is a Python 2 and 3 compatibility library
License:        MIT
URL:            https://pypi.python.org/pypi/%{modname}
Source0:        https://files.pythonhosted.org/packages/71/39/171f1c67cd00715f190ba0b100d606d440a28c93c7714febeca8b79af85e/six-1.16.0.tar.gz
BuildArch:      noarch

%description
Python-six provides simple utilities for wrapping over differences Python 3.

%package -n python3-%{modname}
Summary:        Compatibility library for python 3
BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-tkinter
BuildRequires:  python3-pip python3-wheel
%if %{with test}
BuildRequires:  python3-pytest
%endif
Provides:       python%{python3_pkgversion}dist(six) = %{version}
Provides:       python%{python3_version}dist(six) = %{version}

%{?python_provide:%python_provide python3-%{modname}}
Obsoletes:      platform-python-%{modname} < %{version}-%{release}

%description -n python3-%{modname}
Compatibility library for python 3.

%prep
%autosetup -n %{modname}-%{version}

%build
%py3_build_wheel

%install
%py3_install_wheel %{python_wheelname}

%check
%if %{with test}
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-3 -rfsxX test_six.py
%endif

%files -n python3-%{modname}
%license LICENSE
%doc README* documentation/index*
%{python3_sitelib}/%{modname}-*.dist-info/
%exclude %{python3_sitelib}/%{modname}-*.dist-info/LICENSE*
%{python3_sitelib}/%{modname}.py
%{python3_sitelib}/__pycache__/%{modname}.*

%changelog
* Web Mar 30 2022 wangjiang <wangjiang@h-partners.com> - 1.16.0-2
- Type: bugfix
- ID: NA
- SUG: NA
- DESC:delete "%bcond_with python3" and add "%bcond_with test"

* Tue Dec 21 2021 shixuantong <shixuantong@huawei.com> - 1.16.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade software to v1.16.0

* Sat Sep 5 2020 shixuantong <shixuantong@huawei.com> - 1.15.0-3
- Type: bugfix
- ID: NA
- SUG: NA
- DESC: update Source0

* Fri Aug 7 2020 wenzhanli<wenzhanli2@huawei.com> - 1.15.0-2
- Type:bugfix
- ID:NAl
- SUG:NA
- DESC:remove python2 require

* Mon Jul 27 2020 tianwei<tianwei123@huawei.com> -1.15.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade software to v1.15.0

* Thu Apr 16 2020 chengquan<chengquan3@huawei.com> -1.14.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:upgrade software to v1.14.0

* Thu Sep 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.12.0-1
- Package Init
